Get a team member
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/team-members/{team_member_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/team-members/{team_member_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/team-members/{team_member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"team_member": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"time_zone": "<string>",
"profile_image_url": "<string>",
"organization_role": "<string>",
"active": true
}
}{
"error": "Team member not found"
}Team Members
Get a team member
Get a single active team member by ID.
GET
/
team-members
/
{team_member_id}
Get a team member
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
Available options:
application/json Path Parameters
Id of the team member that you want to retrieve. You can get team_member_id by listing all team members using our List all team members API. Here you will see id for each team member.
Example:
"13c02be6-8bd4-4dda-b9e6-07df53feb8a4"
Response
OK - Request succeeded
⌘I